Jump to content

  • Log in with Facebook Log in with Twitter Log In with Google Log In with Steam Sign In
  • Create Account
Photo

About LUA support

- - - - -

  • Please log in to reply
10 replies to this topic

#1
OFFLINE   Pedro-NF

Pedro-NF

    Newbie

  • Members
  • Pip
  • 7 posts
1
A step in the right direction
  • LocationRio de Janeiro, Brazil
I run my own machine (not the server's) on XP Pro 64-bit, and found that the dll file from the silEnT mod and the N!tmod releases won't run on XP 64-bit. The mods won't load the LUA dll and I get the same error message when starting the server as if it were not there - "ERROR: BG_IndexForString: unknown token 'PPSH': (animations/scripts/human_base.script, line 22)" - and then the server shuts itself down.

I tested it on one of my XP 32-bit virtual machines with VMWare and it worked fine. Never touched (and never will) VistaTrash or 7Garbage, but I'm pretty sure this is a 64-bit incompatible code issue common to all 64-bit versions of Windows. Can't say if it happens on 64-bit Linux either.

Assuming that eventually many game server hosts might move to 64-bit OS's, maybe someone should compile a 64-bit friendly version of the dll (and of an .so file, if that also happens on Linux).

#2
OFFLINE   blindman

blindman

    Member

  • Members
  • PipPip
  • 21 posts
0
Unknown
cant say for silent yet, but nitmod runs ok on 64 bit linux.

#3
OFFLINE   gaoesa

gaoesa

    Advanced Member

  • Management
  • PipPipPipPip
  • 4391 posts
341
Will become famous
  • LocationFinland
I run my silent server on 64 bit linux.

One thing to note is that etded and the mod dlls are also 32 bit builds.

#4
OFFLINE   hellreturn

hellreturn

    Management

  • Management
  • PipPipPipPip
  • 2693 posts
158
On the road to fame
I run it on:

64 bit centos and 64 bit debian. For windows I use 2003 and 2008 R2 64 bit. All my machines are 64 bit and 0.3.3 version runs pretty fine with LUA.

How are you setting up your server? may be some mistake somewhere while setting up?

#5
OFFLINE   TheSilencerPL

TheSilencerPL

    Advanced Member

  • Management
  • PipPipPipPip
  • 3098 posts
216
On the road to fame
  • LocationPoland
Looks like the right dll ((qagame.mp.i386.so)) is not loaded, becasue it doesn't recognize the token from the script

ERROR: BG_IndexForString: unknown token 'PPSH': (animations/scripts/human_base.script, line 22)" - and then the server shuts itself down


Maybe you still have some other (not silEnT one) on the server?

#6
OFFLINE   gaoesa

gaoesa

    Advanced Member

  • Management
  • PipPipPipPip
  • 4391 posts
341
Will become famous
  • LocationFinland
Because my old laptop broke and now I have a new one with 64 bit Windows 7, I can confirm that the dedicated server runs correctly with current Lua libraries. The most common problem with the Lua is that lua5.1.dll is not placed to the correct search path. Try first placing it next to the etded.exe and if that doesn't work, try to find out what is the fs_homepath and place the lua dll there. That should work with the silEnT.

#7
OFFLINE   Pedro-NF

Pedro-NF

    Newbie

  • Members
  • Pip
  • 7 posts
1
A step in the right direction
  • LocationRio de Janeiro, Brazil
Thanks for all the feedback. All files are in their correct places. When I started the server from a XP Pro 32-bit VMWare virtual machine, I didn't even copy the files over to its virtual drive, I ran it directly from my actual machine (XP Pro 64 install) through a shared folder, and the server started OK. Since gaoesa said he could start the server from a W7 64-bit machine, I created a virtual machine with W7 Ultimate 64-bit and confirmed that the server starts fine from it. The issue seems limited to XP Pro 64 - W7 64 probably loads the necessary 32-bit libraries, while XP 64 doesn't.

#8
OFFLINE   JvIasterMind

JvIasterMind

    Regular Member

  • Members
  • PipPipPip
  • 116 posts
8
A step in the right direction
Just tried troubleshooting the server installation with our server host and we encountered this same problem. The server is running windows server 2003 64 bit and we are getting the same bg_ error message. We tried both silEnT 0.4.0 and 0.5.0.

Switching the server OS probably won't happen for some time, so any chance this issue can be looked into again? Any other information that could be helpful?

#9
OFFLINE   gaoesa

gaoesa

    Advanced Member

  • Management
  • PipPipPipPip
  • 4391 posts
341
Will become famous
  • LocationFinland

For windows I use 2003 and 2008 R2 64 bit. All my machines are 64 bit and 0.3.3 version runs pretty fine with LUA.


There is no difference with 0.4.0 version. Make sure you have the WoW64 installed.

#10
OFFLINE   JvIasterMind

JvIasterMind

    Regular Member

  • Members
  • PipPipPip
  • 116 posts
8
A step in the right direction
Server host said that it is indeed on the server. Wow64.dll, Wow64win.dll, and Wow64cpu.dll are all there.

#11
OFFLINE   gaoesa

gaoesa

    Advanced Member

  • Management
  • PipPipPipPip
  • 4391 posts
341
Will become famous
  • LocationFinland
Make sure you are using the 32 bit Lua library provided in the silent.zip. Also make sure you are loading the library from the ET working directory, usually the one where etded.exe is, and not from any system directories. Just in case there are incompatible libraries installed into the system. Also make sure you have only one client pk3 file in the silent folder.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users